//             TECHNOLOGICAL ARTS
//              +1(416) 963-8996 
//	        www.technologicalarts.ca
#include <hidef.h>      /* common defines and macros */
#include <mc9s12dp512.h>     /* derivative information */

// ******************************************************** 
//  Initialize Free running Timmer with clock free of 24MHz
// ********************************************************

void output_compare_initialize(void)
{

TSCR1=0x80;  /* enable timer */

TSCR2=0x00;  /* prescale to 1, effective clock to counter is (16000000/2) pulses per sec or
             8000000 pps */

TIOS=0x01;   /*select output compare 1 */

TCTL1=0x00;  /* timers 4,5,6,7 disconnected from PORT T pin0 */

TCTL2=0x01;  /* timer0 toggle PORT T pin0, timer 1,2,3 disconnected*/

TIE=0x01;    /* enable timer interrupt on C0 */

TFLG1=0x01;  /* clear interrupt flag for C0 by writing a 1 */

}